Difference between revisions of "Part Chamfer/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(10 intermediate revisions by 2 users not shown)
Line 4: Line 4:
 
|[[Part_Mirror/fr|Mise en miroir]]
 
|[[Part_Mirror/fr|Mise en miroir]]
 
|[[Part_Module/fr|Atelier Part]]
 
|[[Part_Module/fr|Atelier Part]]
|IconL=Part_SectionCross.png
+
|IconL=Part_CrossSections.svg
 
|IconC=Workbench_Part.svg
 
|IconC=Workbench_Part.svg
|IconR=Part_Mirror.png
+
|IconR=Part_Mirror.svg
 
}}
 
}}
  
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Part_Chamfer
 
|Name=Part_Chamfer
|Name/fr=Chanfrein
+
|Name/fr=Part Chanfrein
 
|MenuLocation=Part → Chamfer
 
|MenuLocation=Part → Chamfer
|Workbenches=[[Part_Module/fr|Atelier Pièce]]
+
|Workbenches=[[Part_Module/fr|Part]]
 
|SeeAlso=[[Part Fillet/fr|Part Congé]]
 
|SeeAlso=[[Part Fillet/fr|Part Congé]]
 
}}
 
}}
Line 22: Line 22:
  
 
[[Image:Chamfer-example.png|Exemple de Chanfrein]]
 
[[Image:Chamfer-example.png|Exemple de Chanfrein]]
 +
 +
==Utilisation==
  
 
== Utilisation ==  
 
== Utilisation ==  
# Appuyez sur le bouton {{KEY|[[Image:Part_Chamfer.svg|30px]]}} de [[Part_Workbench/fr|l'atelier Part]]. Vous pouvez également sélectionner {{MenuCommand|Part → Chanfrein}}.
+
# Lancez la commande Chanfrein de plusieurs manières dans [[Image:Workbench_Part.svg|24px]] [[Part_Workbench/fr|Atelier Part]]
 +
#* Appuyez sur le bouton {{KEY|[[Image:Part_Chamfer.svg|30px]]}} dans la barre d'outils Pièce
 +
#* Utilisez l'entrée {{MenuCommand|Pièce → Chanfrein}} dans le menu Part
 
# Sélectionnez la forme à chanfreiner dans la boîte de dialogue.
 
# Sélectionnez la forme à chanfreiner dans la boîte de dialogue.
 
# Sélectionnez les arêtes à chanfreiner en cochant la case correspondante dans la boîte de dialogue Chanfrein ou en les sélectionnant directement sur le modèle.
 
# Sélectionnez les arêtes à chanfreiner en cochant la case correspondante dans la boîte de dialogue Chanfrein ou en les sélectionnant directement sur le modèle.
Line 39: Line 43:
 
==Propriétés==
 
==Propriétés==
 
[[Image:Part_Chamfer-Properties.png|left|Part_Chamfer Properties]]
 
[[Image:Part_Chamfer-Properties.png|left|Part_Chamfer Properties]]
 
  
  
Line 49: Line 52:
  
 
== Limitations ==
 
== Limitations ==
Le chanfrein pourrait ne rien faire si le résultat touchait ou traversait le prochain bord adjacent. Donc, si vous n'obtenez pas le résultat attendu, essayez avec une valeur inférieure. C'est pareil pour [[Part Fillet/fr|Part Congé]].
+
Le chanfrein peut ne rien faire si le résultat touche ou traverse le bord adjacent suivant. Donc, si vous n'obtenez pas le résultat attendu, essayez avec une valeur inférieure. C'est pareil pour [[Image:Part_Fillet.svg|24px]] [[Part Fillet/fr|Part Congé]].
  
Notez également que la fonction Chanfrein est affectée par le [[Topological_naming_problem/fr|Nomenclature topologique]] lorsque toute modification est apportée à une étape de modélisation plus tôt dans la chaîne qui affecte le nombre de facettes ou de sommets. Cela pourrait entraîner des résultats imprévisibles. En attendant que cela soit résolu (éventuellement avec V0.19), il est conseillé d’appliquer les opérations Chanfrein et [[Part Fillet/fr|Congé]] aux dernières étapes de la chaîne.
+
Notez également que la fonction Chanfrein est affectée par le [[Topological_naming_problem/fr|problème de nommage topologique]] lorsque toute modification est apportée à une étape de modélisation plus tôt dans la chaîne qui affecte le nombre de facettes ou de sommets. Cela pourrait entraîner des résultats imprévisibles. En attendant que cela soit résolu (éventuellement avec V0.19), il est conseillé d’appliquer les opérations Chanfrein et [[Image:Part_Fillet.svg|24px]] [[Part Fillet/fr|Congé]] aux dernières étapes de la chaîne.
  
  
Line 143: Line 146:
  
 
{{Docnav/fr
 
{{Docnav/fr
|[[Part_SectionCross/fr|Coupes Part]]
+
|[[Part_SectionCross/fr|Coupes]]
|[[Part_Mirror/fr|Mise en miroir Pièce]]
+
|[[Part_Mirror/fr|Mise en miroir]]
 
|[[Part_Module/fr|Atelier Part]]
 
|[[Part_Module/fr|Atelier Part]]
|IconL=Part_SectionCross.png
+
|IconL=Part_CrossSections.svg
 
|IconC=Workbench_Part.svg
 
|IconC=Workbench_Part.svg
|IconR=Part_Mirror.png
+
|IconR=Part_Mirror.svg
 
}}
 
}}
  
{{Part Tools navi/fr}}
+
{{Part Tools navi{{#translation:}}}}
 
+
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi/fr}}
 

Latest revision as of 13:39, 7 March 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Part CrossSections.svg Coupes
Page suivante: Mise en miroir Part Mirror.svg Arrow-right.svg

Part Chamfer.svg Part Chanfrein

Emplacement du menu
Part → Chamfer
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Congé


Description

Chanfreine le ou les bords sélectionnés d'un objet. Une boîte de dialogue vous permet de choisir le ou les bords sur lesquels vous souhaitez travailler ainsi que de modifier divers paramètres de chanfrein.

Exemple de Chanfrein

Utilisation

Utilisation

  1. Lancez la commande Chanfrein de plusieurs manières dans Workbench Part.svg Atelier Part
    • Appuyez sur le bouton Part Chamfer.svg dans la barre d'outils Pièce
    • Utilisez l'entrée Pièce → Chanfrein dans le menu Part
  2. Sélectionnez la forme à chanfreiner dans la boîte de dialogue.
  3. Sélectionnez les arêtes à chanfreiner en cochant la case correspondante dans la boîte de dialogue Chanfrein ou en les sélectionnant directement sur le modèle.
  4. Réglez les paramètres de chanfrein.
  5. Appuyez sur OK pour fermer la boîte de dialogue de chanfrein et appliquer le chanfrein.

Options

Dialog-chamfer

  • Lorsque vous sélectionnez des arêtes sur le modèle, vous avez la possibilité de les sélectionner par arête ou par face. La sélection par face sélectionne tous les bords de cette face.
  • Chanfrein de longueur constante ou chanfrein de longueur variable.
    • Un chanfrein de longueur constante créera un chanfrein avec des bords équidistants du bord d'origine à la distance spécifiée.
    • Un chanfrein de longueur variable aura des arêtes pouvant être définies à des distances différentes de l'arête d'origine, ce qui vous permettra de créer un chanfrein à angle variable.

Propriétés

Part_Chamfer Properties


Base

  • DonnéesBase:La forme sur laquelle le chanfrein doit être appliqué.
  • DonnéesPlacement:Spécifie l'orientation et la position de la forme dans l'espace 3D.
  • DonnéesLabel: Label donné à l'objet. Changer en fonction de vos besoins.


Limitations

Le chanfrein peut ne rien faire si le résultat touche ou traverse le bord adjacent suivant. Donc, si vous n'obtenez pas le résultat attendu, essayez avec une valeur inférieure. C'est pareil pour Part Fillet.svg Part Congé.

Notez également que la fonction Chanfrein est affectée par le problème de nommage topologique lorsque toute modification est apportée à une étape de modélisation plus tôt dans la chaîne qui affecte le nombre de facettes ou de sommets. Cela pourrait entraîner des résultats imprévisibles. En attendant que cela soit résolu (éventuellement avec V0.19), il est conseillé d’appliquer les opérations Chanfrein et Part Fillet.svg Congé aux dernières étapes de la chaîne.


Scripting

L'outil Chanfrein peut être utilisé dans des macros et à partir de la console Python en ajoutant un objet Chanfrein au document.

Exemple de Script:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Explication de l'exemple de Script :

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Crée un cube de 5 mm sur lequel nous pouvons appliquer des bords chanfreinés. Voir Part API pour une explication de la méthode makeBox.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Ajoute un nouvel objet au document de type Chanfrein (de l'atelier Part) avec le libellé "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Spécifie que la forme de base de l'objet chanfrein doit être "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Crée un tableau vide "myEdges" puis l'ajoute aux paramètres de chanfrein de chaque bord.
  • La syntaxe pour chaque élément doit être (edge#, chamfer start length, chamfer end length) c'est-à-dire (arête#, longueur du début du chanfrein, longueur de l'extrémité du chanfrein).
chmfr.Edges = myEdges
  • Définit l'attribut Edges de notre objet Chamfer égal au tableau que nous venons de créer.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • Cette ligne cache simplement "myCube" de sorte que notre objet "myChamfer" nouvellement créé soit le seul visible.
FreeCAD.ActiveDocument.recompute()
  • Recalcule tous les composants modifiés à l'écran et actualise l'affichage.
Arrow-left.svg Page précédente: Part CrossSections.svg Coupes
Page suivante: Mise en miroir Part Mirror.svg Arrow-right.svg